Bug 143601 - French Langpack invalid causing installation to fail
Summary: French Langpack invalid causing installation to fail
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
7.1.3.2 release
Hardware: x86-64 (AMD64) macOS (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 150967 (view as bug list)
Depends on:
Blocks:
 
Reported: 2021-07-29 12:12 UTC by MG
Modified: 2022-12-21 15:28 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
screen copy (31.92 KB, image/png)
2021-07-29 12:14 UTC, MG
Details
screen copy of the problem (31.92 KB, image/png)
2021-08-21 06:39 UTC, MG
Details

Note You need to log in before you can comment on or make changes to this bug.
Description MG 2021-07-29 12:12:25 UTC
Description:
When installing language pack a message tell that the libreoffice 7.5.1 is not a valid program !!!!!

Steps to Reproduce:
1.install libreoffice in application folder
2.install language pack
3.clic to install

Actual Results:
impossible to have french ibstalled

Expected Results:
it was working for a long time and i dont understand why that stupid bug  to put french people not english fluent to other software


Reproducible: Always


User Profile Reset: Yes



Additional Info:
This was already the case whith versions since 7.1.3
Comment 1 MG 2021-07-29 12:14:02 UTC
Created attachment 173943 [details]
screen copy
Comment 2 [REDACTED] 2021-07-29 12:19:41 UTC Comment hidden (obsolete)
Comment 3 BogdanB 2021-07-29 13:03:35 UTC
Changed to 7.1.3 based on description. (The version mentioned should be the oldest one)
Comment 4 MG 2021-08-04 11:11:21 UTC
Can you tell me why a valid libreoffice version 7.1.5.2 is told NOT VALID ???

Why you dont check the version you put on line ?
Comment 5 MG 2021-08-21 06:39:12 UTC
Created attachment 174457 [details]
screen copy of the problem

Screen copy for the same problem whith 7.2.0.4 release
Comment 6 [REDACTED] 2021-08-21 14:04:25 UTC
No repro on macOS BigSur 11.5.2


Version: 7.2.0.4 / LibreOffice Community
Build ID: 9a9c6381e3f7a62afc1329bd359cc48accb6435b
CPU threads: 4; OS: Mac OS X 10.16; UI render: default; VCL: osx
Locale: en-US (en_DE.UTF-8); UI: en-US
Calc: threaded

seems to be a problem of a specific macOS version.
Comment 7 [REDACTED] 2021-08-21 14:11:49 UTC
- Please provide your macOS version
- In addition you may give answer in https://ask.libreoffice.org/t/cant-install-dutch-language-pack-on-macos/61401 (though this question is related to Dutch language pack) a try.
Comment 8 MG 2021-08-21 17:03:34 UTC
I have tried the way whith "show all extensions" --> does not work

my system version is 10.13.6 and work well whith all apps

it was working whith libre office until 7/0 

The only thing that have change is YOUR package

Ask Apple if you are not able to solve that problem
Comment 9 QA Administrators 2021-08-22 03:47:56 UTC Comment hidden (obsolete)
Comment 10 MG 2021-08-22 09:26:22 UTC Comment hidden (obsolete)
Comment 11 [REDACTED] 2021-08-22 14:09:42 UTC
No repro

Version: 7.2.0.4 / LibreOffice Community
Build ID: 9a9c6381e3f7a62afc1329bd359cc48accb6435b
CPU threads: 4; OS: Mac OS X 10.13.6; UI render: default; VCL: osx
Locale: fr-FR (en_DE.UTF-8); UI: fr-FR
Calc: threaded
Comment 12 [REDACTED] 2021-08-23 09:24:52 UTC
No repro

Version: 7.1.5.2 / LibreOffice Community
Build ID: 85f04e9f809797b8199d13c421bd8a2b025d52b5
CPU threads: 4; OS: Mac OS X 10.13.6; UI render: default; VCL: osx
Locale: fr-FR (en_DE.UTF-8); UI: fr-FR
Calc: threaded
Comment 13 Alex Thurgood 2021-08-24 09:32:28 UTC
No repro with 

Version: 7.1.5.2 / LibreOffice Community
Build ID: 85f04e9f809797b8199d13c421bd8a2b025d52b5
CPU threads: 8; OS: Mac OS X 10.16; UI render: default; VCL: osx
Locale: fr-FR (fr_FR.UTF-8); UI: fr-FR
Calc: threaded
Comment 14 Alex Thurgood 2021-08-24 09:33:27 UTC
No repro with 

Version: 7.2.0.4 / LibreOffice Community
Build ID: 9a9c6381e3f7a62afc1329bd359cc48accb6435b
CPU threads: 8; OS: Mac OS X 10.16; UI render: default; VCL: osx
Locale: fr-FR (fr_FR.UTF-8); UI: fr-FR
Calc: threaded
Comment 15 Mike Kaganski 2021-08-24 09:33:36 UTC
May it be specific to a version of *language pack* perhaps?
Comment 16 Alex Thurgood 2021-08-24 10:47:27 UTC
(In reply to Mike Kaganski from comment #15)
> May it be specific to a version of *language pack* perhaps?

My tests were done with the FR langpack available for download from the French version of the LO download site.

The kind of message that was reported occurs when :

- either the user is attempting to install a later version of langpack over an older version of LO, without having first updated the LO version (e.g. 7.2.x over a 7.1.x installation);

- or else trying to install the langpack onto an app bundle that is not named "LibreOffice.app" (e.g. due to multiple different LO versions being installed with differentiating bundle names).

I have seen these error messages in the past, though, just not in the versions I have tested, so it definitely is a thing.
Comment 17 Mike Kaganski 2021-08-24 11:05:13 UTC
(In reply to Alex Thurgood from comment #16)
> The kind of message that was reported occurs when :
> 
> - either the user is attempting to install a later version of langpack over
> an older version of LO, without having first updated the LO version (e.g.
> 7.2.x over a 7.1.x installation);

Can't it be the other way round, like installing older langpack over a newer LO? which is what I suspected actually.
Comment 18 Alex Thurgood 2021-08-24 12:58:30 UTC
(In reply to Mike Kaganski from comment #17)


> Can't it be the other way round, like installing older langpack over a newer
> LO? which is what I suspected actually.

Good point, haven't tried that, but I suspect you're right.
Comment 19 Roman Kuznetsov 2021-09-02 19:24:18 UTC
I can confirm it. I can't install a Russian language pack for LibreOffice 7.2 on macOS

And I think it's the same problem as it was in bug 134607 because after "fix" it I still couldn't install RU language pack to LO on macOS (I tried different version)

Version: 7.2.0.4 / LibreOffice Community
Build ID: 9a9c6381e3f7a62afc1329bd359cc48accb6435b
CPU threads: 4; OS: Mac OS X 10.16; UI render: default; VCL: osx
Locale: ru-RU (ru_RU.UTF-8); UI: en-US
Calc: threaded
Comment 20 steve 2021-09-03 09:14:53 UTC
@Roman: if you restart your mac, does the problem persist?
Comment 21 MG 2021-09-03 14:09:04 UTC
(In reply to steve from comment #20)
> @Roman: if you restart your mac, does the problem persist?

Yes, i have done it several times.
I have tried whith an old system version --> Yosemite 10.10.5 and it works

I am now under High Sierra --> 10.13.6  and it does not work at all

I just regret the LibreOffice 7.1.1 whicj was working in French under 10.13.6
Comment 22 MG 2022-01-09 16:17:16 UTC
The problem is still present whith the actual version 7.2.5.2  !!

Installing the french version says the version 7.2.5.2 is not a VALID VERSION !!!
Comment 23 MG 2022-01-09 16:18:32 UTC
i cannot understand why the problem listed for a long time is still present
Comment 24 Alex Thurgood 2022-01-10 11:05:39 UTC
(In reply to MG from comment #23)
> i cannot understand why the problem listed for a long time is still present

Perhaps because it doesn't affect all users, and/or only sometimes.

Unfortunately, no repro for me with :

Version: 7.2.5.2 / LibreOffice Community
Build ID: 499f9727c189e6ef3471021d6132d4c694f357e5
CPU threads: 8; OS: Mac OS X 12.1; UI render: default; VCL: osx
Locale: fr-FR (fr_FR.UTF-8); UI: fr-FR
Calc: threaded

FR langpack installation worked fine for me.
Apple M1 Macbook Pro.
Comment 25 Alex Thurgood 2022-08-30 08:02:49 UTC
(In reply to Alex Thurgood from comment #24)
> (In reply to MG from comment #23)
> > i cannot understand why the problem listed for a long time is still present
> 
> Perhaps because it doesn't affect all users, and/or only sometimes.
> 
> FR langpack installation worked fine for me.
> Apple M1 Macbook Pro.

Well what do you know, attempting to install the latest 7.4.0.x production release on Mac Arm M1, and confirm that I'm experiencing the same bug...

How annoying is that ;-)
Comment 26 Alex Thurgood 2022-08-30 08:07:46 UTC
(In reply to Alex Thurgood from comment #25)

> Well what do you know, attempting to install the latest 7.4.0.x production
> release on Mac Arm M1, and confirm that I'm experiencing the same bug...
> 
> How annoying is that ;-)

This is occurring since the system update to macOS 12.5.1 - new Apple security model ?
Comment 27 Julien Nabet 2022-09-15 09:50:05 UTC
*** Bug 150967 has been marked as a duplicate of this bug. ***